CLASS GREGORIAN_(3)

NAME
boost::gregorian::gregorian_calendar - Gregorian calendar for this implementation, hard work in the base.

SYNOPSIS

// In header: <boost/date_time/gregorian/greg_calendar.hpp>
class gregorian_calendar {
public:
  // types
  typedef greg_weekday         day_of_week_type;  // Type to hold a weekday (eg: Sunday, Monday,...)
  typedef greg_day_of_year_rep day_of_year_type;  // Counter type from 1 to 366 for gregorian dates.
  typedef fancy_date_rep       date_rep_type;     // Internal date representation that handles infinity, not a date.
  typedef fancy_date_rep       date_traits_type;  // Date rep implements the traits stuff as well.
};